#
# spec file for package nudoku
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nudoku
Version:        0.2.5
Release:        1.2
Summary:        Ncurses based sudoku game
License:        GPL-3.0
Group:          Amusements/Games/Board/Puzzle
Url:            https://github.com/jubalh/%{name}
Source:         https://github.com/jubalh/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  ncurses-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
nudoku is a ncurses based sudoku game.

%prep
%setup -q

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%{_bindir}/nudoku
%defattr(-,root,root)
%{_mandir}/man?/nudoku.*

%changelog
* Mon Jun 13 2016 mvetter@suse.com
- Update to version 0.2.5
  * manpage fixes
* Wed Aug 26 2015 mvetter@suse.com
- Version bump to 0.2.4
  * Fix array out of bound in validity_check
* Fri Aug 21 2015 mvetter@suse.com
- Version bump to 0.2.3
  * Code cleanup
* Wed Aug 19 2015 mvetter@suse.com
- Change Source to download location
- Update to version 0.2.2
  * Add manpage
  * User can provide sudokus of his own
  * Major code cleanup
  * Provide hints based on the users board
  * Improve feedback for "check" to let the user know if his sudoku is right so far
* Tue Apr  7 2015 g.bluehut@gmail.com
- Add BuildRequires xz to make it work under SLE11 too.
  Going to add it generally since it is needed anyways, so to make
  sure it exists.
* Tue Apr  7 2015 g.bluehut@gmail.com
- Clean up spec
* Wed Mar 25 2015 g.bluehut@gmail.com
- Rename and clean up spec file
